# DBValue Class Reference
[Dynamic query builder, Classes implemented in PHP's extension.]

Container for passing values into OSQL queries. More...

Inheritance diagram for DBValue:
[legend]

List of all members.

## Public Member Functions

| __construct ($value)
| getValue ()
| toDialectString (Dialect $dialect)

## Static Public Member Functions

static | create ($value)

## Private Attributes

| $value = null

## Detailed Description

Container for passing values into OSQL queries.

Definition at line 18 of file DBValue.class.php.

## Constructor & Destructor Documentation

DBValue::__construct | ( | $ | value | ) |

Definition at line 30 of file DBValue.class.php.

References $value.

## Member Function Documentation

static DBValue::create | ( | $ | value | ) | `[static]`

Returns:
  DBValue

Reimplemented in DBBinary.

Definition at line 25 of file DBValue.class.php.

References $value.

Referenced by TimeIntervalsGenerator::getSeriesGenerator(), UnifiedContainerWorker::makeCountQuery(), GenericDAO::makeTotalCountQuery(), and TimeIntervalsGenerator::toSelectQuery().

DBValue::getValue | ( |  | ) |

Definition at line 35 of file DBValue.class.php.

Referenced by DBBinary::toDialectString().

DBValue::toDialectString | ( | Dialect $ | dialect | ) |

Implements DialectString.

Reimplemented in DBBinary.

Definition at line 40 of file DBValue.class.php.

References Dialect::toCasted().

Here is the call graph for this function:

## Member Data Documentation

DBValue::$value = null`[private]`

Definition at line 20 of file DBValue.class.php.

Referenced by __construct(), create(), and DBBinary::create().

The documentation for this class was generated from the following file:

- core/OSQL/DBValue.class.php